import { world, system } from "@minecraft/server";
import { ModalFormData } from "@minecraft/server-ui";


world.beforeEvents.worldInitialize.subscribe((initEvent) => {

    initEvent.itemComponentRegistry.registerCustomComponent("zc_vecj:trigger", {
        
        onUse: (e) => {
            
            e.source.runCommand("tag @s add evcap");

            
            e.source.runCommand(
                "execute @e[type=villager, r=5, c=1] ~~~ replaceitem entity @a[tag=evcap] slot.weapon.mainhand 0 zc:vccj"
            );

            
            e.source.runCommand("tag @s remove evcap");

            
            e.source.runCommand(
                "execute @e[type=villager, r=5, c=1] ~~~ tp @s 0 -80 0"
            );
        },
    });
});




world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('zc_vecj:trigger', {
  onUse: e => { e.source.runCommand("function ecjuse"); },
});
 });



function mainTick() {
    if (system.currentTick % 1 === 0) {
        world.getDimension("overworld").runCommandAsync(
            "effect @e[type=zc:cage_villager] resistance 10 20 true"
        );
    }

    system.run(mainTick);
}

system.run(mainTick);
