import "./vblock_trigger";
import "./vitem_trigger";
import "./vcapture";
import "./vgg";
import "./venchant";

import { world, system } from "@minecraft/server";

function mainTick() {
    world.getDimension("overworld").runCommandAsync(
        `tellraw @a[tag=!readwar,hasitem={item=zc:vecj}] {"rawtext":[{"text":"Don't use Upgraded Villager, or their trades will reset!"}]}`
    );
    world.getDimension("overworld").runCommandAsync(
        `tag @a[tag=!readwar,hasitem={item=zc:vecj}] add readwar`
    );

    system.run(mainTick); 
}
system.run(mainTick);

